<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="adherencia">
        <h2 class="jh-entity-heading" data-cy="adherenciaDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesAdherencia.detail.title')">Adherencia</span> {{ adherencia.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.horaToma')">Hora Toma</span>
          </dt>
          <dd>
            <span v-if="adherencia.horaToma">{{ $d(Date.parse(adherencia.horaToma), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.respuesta')">Respuesta</span>
          </dt>
          <dd>
            <span>{{ adherencia.respuesta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.valor')">Valor</span>
          </dt>
          <dd>
            <span>{{ adherencia.valor }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.comentario')">Comentario</span>
          </dt>
          <dd>
            <span>{{ adherencia.comentario }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.medicamento')">Medicamento</span>
          </dt>
          <dd>
            <div v-if="adherencia.medicamento">
              <router-link :to="{ name: 'MedicamentoView', params: { medicamentoId: adherencia.medicamento.id } }">{{
                adherencia.medicamento.nombre
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAdherencia.paciente')">Paciente</span>
          </dt>
          <dd>
            <div v-if="adherencia.paciente">
              <router-link :to="{ name: 'PacienteView', params: { pacienteId: adherencia.paciente.id } }">{{
                adherencia.paciente.nombre
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="adherencia.id"
          :to="{ name: 'AdherenciaEdit', params: { adherenciaId: adherencia.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./adherencia-details.component.ts"></script>
